//---------------------------------------------------------------------------

#ifndef MainFormH
#define MainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Chart.hpp"
#include "TeeChartGrid.hpp"
#include "TeEngine.hpp"
#include "TeeProcs.hpp"
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include "TeeSurfa.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
   TChart *Chart1;
   TStringGrid *StringGrid1;
   TContourSeries *Series1;
   TButton *Button1;
   void __fastcall StringGrid1DoubleClick(TObject *Sender);
   void __fastcall StringGrid1SelectCell(TObject *Sender, int ACol, int ARow, bool &CanSelect);
   void __fastcall FormShow(TObject *Sender);
   void __fastcall Button1Click(TObject *Sender);

private:	// User declarations
   int Column;
   int Row;
   double verifyDouble(UnicodeString input, double* defaultValue);
   void Draw();
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
